curl --request GET \
--url https://api.example.com/api/v2/projects/{project_id}/prompt-templates/name/{name} \
--header 'Authorization: Bearer <token>'{
"prompt_template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prompt_template_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prompt_template_name": "<string>",
"version_name": "<string>",
"version_description": "<string>",
"metadata": {
"provider": "<string>",
"flavor": "<string>",
"model": "<string>",
"params": {},
"provider_info": {}
},
"format_version": 123,
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": [
{
"role": "<string>",
"content": "<string>",
"media_slots": [
{
"type": "audio",
"placeholder_name": "<string>"
}
]
}
],
"tool_schema": [
{
"name": "<string>",
"description": "<string>",
"parameters": {}
}
],
"output_schema": {}
}curl --request GET \
--url https://api.example.com/api/v2/projects/{project_id}/prompt-templates/name/{name} \
--header 'Authorization: Bearer <token>'{
"prompt_template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prompt_template_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prompt_template_name": "<string>",
"version_name": "<string>",
"version_description": "<string>",
"metadata": {
"provider": "<string>",
"flavor": "<string>",
"model": "<string>",
"params": {},
"provider_info": {}
},
"format_version": 123,
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": [
{
"role": "<string>",
"content": "<string>",
"media_slots": [
{
"type": "audio",
"placeholder_name": "<string>"
}
]
}
],
"tool_schema": [
{
"name": "<string>",
"description": "<string>",
"parameters": {}
}
],
"output_schema": {}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
PlainPromptTemplate(prompt_template_id: uuid.UUID, prompt_template_version_id: uuid.UUID, prompt_template_name: str, version_name: Optional[str], version_description: Optional[str], metadata: server.api_routes.prompt_templates_api_v2.PromptTemplateMetadata, format_version: int, project_id: uuid.UUID, content: list[typing.Union[server.project_sessions.prompt_template_model.ChatMessageWithMediaSlot, server.project_sessions.prompt_template_model.ChatMessage, server.project_sessions.prompt_template_model.HistoryPlaceholder]], tool_schema: Optional[list[shared.common.NormalizedToolSchema]], output_schema: Optional[dict[str, Any]])
Show child attributes
Show child attributes
Show child attributes